
Figure - 开发 Dev #110663
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110660 (New): 【MK】【027】【MCU】主任务

【MK】【027】【MCU】【TC-RID: 1201-0102703】电源控制
2022-07-25 13:09 - CD TPM-申艳艳

Status: New Start date: 2022-07-25

Priority: Normal Due date:

Assignee: CD BSP-陈杰 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc L53

电源控制

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-08-02 15:00 - SZ TPM-罗云进

- Category changed from 714 to 709

- Assignee changed from SZ TPM-罗云进 to SZ BSP-徐季源

#2 - 2022-08-04 21:30 - CD TPM-申艳艳

- Subject changed from 【MK】【029】【MCU】【TC-RID: 0301-0102903】电源控制 to 【MK】【029】【MCU】【TC-RID: 1201-0102703】电源控制

#3 - 2022-08-04 21:33 - CD TPM-申艳艳

- Subject changed from 【MK】【029】【MCU】【TC-RID: 1201-0102703】电源控制 to 【MK】【027】【MCU】【TC-RID: 1201-0102703】电源控制

#4 - 2022-09-13 09:52 - SZ BSP-徐季源

- Assignee changed from SZ BSP-徐季源 to CD BSP-陈杰

#5 - 2022-09-28 16:36 - CD BSP-陈杰

- % Done changed from 0 to 100

目前已经完成上下电时序，电压保护功能。

#6 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152609 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc


BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on

and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:

1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

Iacb3bbd40b9278405f21f5d34d741dfe08c3c4ff

#7 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152787 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is V0.0.1, which is the initial version. Implementation function:1.

Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:

1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

I047b1483f36d87a7a080b1470eb836cbc620a06e

#8 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154928 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo
jie.chen@thundersoft.com



r-dev

BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase

theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen

is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:

1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID:

TS-R-BUG-112002IssueID: TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID:

TS-R-DF-110664Change-Id: I0c7022c0c6e09e54f1b390deb1fb0df27ece4a38
